Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.png
Class mxPngImageDecoder

    java.lang.Object
      com.mxgraph.util.png.mxPngImageDecoder

    public class mxPngImageDecoder

extends Object

Field Summary
`protected InputStream` | `input` The `SeekableStream` associcted with this `ImageEncoder`.
`protected mxPngDecodeParam` | `param` The `ImageDecodeParam` object associated with this `ImageEncoder`.

Constructor Summary
`mxPngImageDecoder(InputStream input, mxPngDecodeParam param)`

Method Summary
`Raster` | `decodeAsRaster()`
`Raster` | `decodeAsRaster(int page)`
`RenderedImage` | `decodeAsRenderedImage()`
`RenderedImage` | `decodeAsRenderedImage(int page)`
`InputStream` | `getInputStream()` Returns the `SeekableStream` associated with this `ImageDecoder`.
`mxPngDecodeParam` | `getParam()`
`void` | `setParam(mxPngDecodeParam param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    protected InputStream input

  The `SeekableStream` associcted with this `ImageEncoder`.

### param

    protected mxPngDecodeParam param

  The `ImageDecodeParam` object associated with this `ImageEncoder`.

Constructor Detail

### mxPngImageDecoder

    public mxPngImageDecoder(InputStream input,
                             mxPngDecodeParam param)

Method Detail

### getParam

    public mxPngDecodeParam getParam()

### setParam

    public void setParam(mxPngDecodeParam param)

### getInputStream

    public InputStream getInputStream()

  Returns the `SeekableStream` associated with this `ImageDecoder`.

### decodeAsRaster

    public Raster decodeAsRaster()
                          throws IOException

  Throws:
    `IOException`

### decodeAsRaster

    public Raster decodeAsRaster(int page)
                          throws IOException

  Throws:
    `IOException`

### decodeAsRenderedImage

    public RenderedImage decodeAsRenderedImage()
                                        throws IOException

  Throws:
    `IOException`

### decodeAsRenderedImage

    public RenderedImage decodeAsRenderedImage(int page)
                                        throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.